#include <stdint.h>

#include <kernel/tty.h>
#include "serial.h"
#include "gdt.c"
#include "interrupts.c"

void kernel_early_main(void) {
  gdt_init();
  init_serial();
  serial_printf("gdt initialized!\n");
  idt_init();
  serial_printf("idt initialized!\n");
  //asm volatile("int $0x3");
  //asm volatile("int $0x4");
  terminal_initialize();
}
